Download it now!
Bug 56518 - Copying sheet with named areas fails
Summary: Copying sheet with named areas fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 09:58 UTC by Jens S
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens S 2012-10-29 09:58:31 UTC

    
Comment 1 Jens S 2012-10-29 10:30:05 UTC
Open a sheet from template http://templates.openoffice.org/da/node/2534
When you right-click on the 'Afvikling'-tab, select move/copy and copy the sheet into another workbook only 4 of the names are displayed in the naming box, and when you look at Names (ctrl+F3) only 10 of 11 names are present and the names are somewhat mixed up - which result in the sheet does not work.
If you select the whole sheet and copy, and then insert it into a new sheet in another workbook, the result is the same
Comment 2 bfoman (inactive) 2013-05-13 11:35:32 UTC
Confirmed with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Move/copy to the same document works fine - 11 named ranges are copied.
Move/copy to the other document - 9 named ranges are copied; betalings_perioder and terminer are missing. nper, which uses terminer is therefore broken.
Comment 3 QA Administrators 2015-03-04 02:22:15 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-03-24 13:26:36 UTC
(In reply to bfoman from comment #2)
> Confirmed with:
> LO 4.0.2.2
> Build ID: own W7 debug build
> Windows 7 Professional SP1 64 bit
> 
> Move/copy to the same document works fine - 11 named ranges are copied.
> Move/copy to the other document - 9 named ranges are copied;
> betalings_perioder and terminer are missing. nper, which uses terminer is
> therefore broken.

Reproduced.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 5 Commit Notification 2016-04-01 11:26:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8dc3b88b567d5fc4a75453654da860c47ae16403

copy used names to other doc, not only referencing sheet; tdf#56518

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.